FOREIGN_GILDAS_READ_DATA(3)

EXPERIMENTAL_FUNC
foreign_gildas_read_data - Read data in a GILDAS file.

SYNOPSIS
#include <karma_foreign.h>

flag foreign_gildas_read_data

(KGILDASDataContext context, char *data, uaddr num_values)

DESCRIPTION
This routine will read the data of a GILDAS dataset from a KGILDASDataContext object. The header section is NOT read.

context
    The context to read from.

data
    The array to write the data into. If this is NULL, input data are skipped and nothing is written.

num_values
    The number of values to read.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/